<script type="text/javascript" src="/js/cubix-ui-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-button-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-shadow-v1.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-popup-v3.0.source.js"></script>
<script type="text/javascript" src="/js/cubix-grid-v2.0.source.js"></script>
<script type="text/javascript" src="/js/mootabs1.2.js"></script>

<script type="text/javascript">
Cubix.ready = function () {
	new Cubix.Shadow($('content'));
	var getFilterParams = function () {
		var uri = new URI('?' + $$('form')[0].toQueryString());
		return uri.get('data');
	};
	
	/* ----------------------- EDIT ---------------------- */
	var popupWord = new Cubix.Popup.Ajax({
		abar: [
           { caption: 'Approve & Save', icon: 'accept', action: function () {
                this.content.getFirst('form').set('action', '/blacklisted-clients/edit?act=approve');
                (Cubix.Popup.Actions.SaveValid.bind(this))(function () {
                    
                });
            } },
            { caption: 'Reject & Save', icon: 'cancel', action: function () {
                this.content.getFirst('form').set('action', '/blacklisted-clients/edit?act=reject');
                (Cubix.Popup.Actions.SaveValid.bind(this))(function () {
                    
                });
            } },
            { caption: 'Close', icon: 'cancel', action: Cubix.Popup.Actions.Close }
		],
		width: 540
	});

    

	var grid = Cubix.Grid.Instance = new Cubix.Grid('cx-grid', {
		identifier: { field: 'id' },
		header: [
            { title: '<input type="checkbox" id="select-all" />', field: '', type: 'Checkbox', width: '15px' },
            { title: 'Escort', field: 'username', type: 'string', sortable: true, width: '100px' },
            { title: 'Type', field: 'type', type: 'string', sortable: true, width: '60px' },
            { title: 'Created', field: 'created', type: 'DateTime', sortable: true, width: '120px' },
            { title: 'Name', field: 'name', type: 'string', sortable: true, width: '100px' },
            { title: 'Phone', field: 'phone', type: 'string', sortable: true, width: '60px' },
			{ title: 'Comment', field: 'description', type: 'string', sortable: true, width: '400px' },
			{ title: 'Status', field: 'status', type: 'string', sortable: true }
		],
		sort: {
			field: 'id',
			dir: 'desc'
		},
		actions: [ { type: 'edit', func: function (data) {
			popupWord.setTitle('Edit Blacklisted Client/Hotel');
			popupWord.load('/blacklisted-clients/edit?id=' + data.id, function () {
				this.open();
			});
		} } ],
		data: new Cubix.Grid.Loader({ url: '/blacklisted-clients/data', params: getFilterParams })
	});
	
	grid.addEvent('loaded', function () {
		
	});

    

	new Cubix.Button($('btn-refresh'), { onClick: function () {
		grid.load();
	}, icon: 'refresh', caption: 'Search', classes: '' });

    new Cubix.Button($('btn-create'), { classes: 'ml20',onClick: function () {
        popupWord.setTitle('Add Blacklisted Email');
		popupWord.load('/blacklisted-emails/create', function () {
            this.open();
        });
	}, icon: 'add', caption: 'Block New Email' });

    if ( $('btn-delete') )
	new Cubix.Button($('btn-delete'), { onClick: function () {
		var ids = getCheckedIds();

		if ( ids ) {
			if ( confirm('Are you sure you want to delete selected row(s)?') ) {
				new Request({
					url: '/blacklisted-emails/delete',
					data: ids,
					onSuccess: function (resp) {
						grid.load();
					}.bind(this)
				}).send();
			}
		}
		else {
			alert('Please select some row(s) to perform action with !');
		}
	}, icon: 'delete', caption: 'Delete', classes: 'ml20' });


    if ( $('select-all') ) {
        $('select-all').set('checked', '');

        $('select-all').addEvent('click', function() {
            if ( this.get('checked') )
            {
                $$('#cx-grid input[type=checkbox]').each(function(it){
                    if ( it.get('id') != 'select-all' )
                        it.set('checked', 'checked');
                });
            }
            else
            {
                $$('#cx-grid input[type=checkbox]').each(function(it){
                    if ( it.get('id') != 'select-all' )
                        it.set('checked', '');
                });
            }
        });
    }

    function getCheckedIds()
	{
		var ids = '';
		$$('#cx-grid input[type=checkbox]').each(function(it){
			if ( it.get('id') != 'select-all' && it.get('checked') )
				ids += 'id[]=' + it.value + '&';
		});

		return ids;
	}

    

};
</script>

<style type="text/css">
	#faq_types input.checkbox { display: block; float: left }
	#faq_types label { float: left }
	#types { margin-bottom: 10px; }
</style>

<div class="form-common gray">
	<form>
		<fieldset class="inner mb10">
			<div class="inner">
                <label for="title">Type</label>
                <input id="title" type="text" class="txt w18" name="name" value="" />
            </div>
            
            <div class="inner">
                <label for="escort">Escort</label>
                <input id="escort" type="text" class="txt w18" name="escort" value="" />
            </div>
            <div class="inner">
                <label for="client">Name</label>
                <input id="client" type="text" class="txt w18" name="client" value="" />
            </div>
            <div class="inner">
                <label for="phone">Phone</label>
                <input id="phone" type="text" class="txt w18" name="phone" value="" />
            </div>
            <div class="inner">
                <label for="comment">Comment</label>
                <input id="comment" type="text" class="txt w18" name="comment" value="" />
            </div>
            <div class="inner">
				<label for="status">Status</label>
				<select name ='status'>
                <option value=""> All </option>
                <option value="pending"> Pending </option>
                <option value="approved"> Approved </option>
                <option value="denied"> Denied </option>
                </select>
			</div>
			
			<div class="clear"></div>
		</fieldset>
		
		<div class="clear"></div>
		
		<a id="btn-refresh"></a>
        <a id="btn-create"></a>
        <a id='btn-delete'></a>
		<div class="clear"></div>
	</form>
</div><!-- form-common -->

<div id="ajax-dest">
	<div id="cx-grid">
	</div>
</div>
